%define	oname DevIL

%define major		1
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Open source image library
Name:		devil
Version:	1.7.8
Release:	%mkrel 6
License:	LGPLv2+
Group:		System/Libraries
URL:		http://openil.sourceforge.net/
Source0:	http://downloads.sourceforge.net/openil/%{oname}-%{version}.tar.xz
Patch0:		devil-1.7.8-libpng14.patch
Patch1:		devil-1.7.8-link.patch
Patch2:		devil-1.7.8-CVE-2009-3994.patch
Patch3:		devil-1.7.8-gcc5.patch
Patch4:		devil-1.7.8-jasper2.patch

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(glu)
BuildRequires:	allegro-devel
BuildRequires:	ungif-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	file
BuildRequires:	texinfo

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{libname}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	lib%{name}
Provides:	%{name}

%description -n	%{libname}
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{develname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}devil1-devel
Obsoletes:	%{_lib}devil-static-devel < 1.7.8-2

%description -n	%{develname}
Development headers and libraries for writing programs using %{oname}.

%package 	utils
Summary:	Tools provided by %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-utils = %{version}-%{release}

%description 	utils
This package contains tools provided by %{oname}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -ffast-math -fomit-frame-pointer -fexpensive-optimizations"
autoreconf -fi

%configure2_5x	\
	--enable-shared \
	--disable-static \
	--enable-ILU \
	--enable-ILUT \
%ifarch x86_64
	--enable-x86_64 \
	--enable-sse \
	--enable-sse2 \
	--disable-sse3 \
%endif
%ifarch %ix86
	--enable-x86 \
	--disable-x86_64 \
	--disable-sse \
	--disable-sse2 \
	--disable-sse3 \
%endif
	--with-x \
	--with-zlib=yes \
	--enable-release

%make_build CPPFLAGS="-DNOINLINE"

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS CREDITS ChangeLog Libraries.txt README.unix
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/IL
%{_infodir}/*.info.*

%files utils
%{_bindir}/ilur


%changelog
* Fri Jul 09 2021 tex - 1.7.8-6pclos2021
- rebuild against updates

* Tue May 19 2020 ghostbunny <ghostbunny at gmx de> 1.7.8-5pclos2020
- rebuild against new jasper version

* Mon Mar 04 2019 tex - 1.7.8-4pclos2019
- rebuild against updates

* Tue Jan 09 2018 bb2 <bb2> - 1.7.8-3pclos2018
- rebuild
